Subject: [manet] Editorial comment on draft-ietf-manet-packetbb-11.txt

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 04 Dec 2007 10:48:06 -0800

Hello,

 From my perspective, the revised text in the packetBB
document seems to be misleading.  The relevant text is:
>    If the appropriate semantics bit (pnouniord for a packet TLV block,
>    mnouniord for a message TLV block or an address TLV block) is clear
>    ('0'), then the following constraints MUST be respected.  These bits
>    MUST always be clear ('0') unless a protocol using this specification
>    defines otherwise.  Protocols SHOULD only define use of these bits
>    when necessary, and then MUST indicate what constraints do apply if
>    each of the indicated bits is set ('1'); each of these constraints
>    SHOULD be retained unless otherwise necessary.
>   
This indicates that using unordered TLVs is disfavored.

However, given the substance of discussion during the
previous several months on this point, I think it is very
surprising that such a strong recommendation is made
to use ordered TLVs.  The arguments in favor have
been reviewed and mostly found wanting, except for
the occasional scenario when it is important for a receiver
to be able to prematurely abort the parsing operations for
incoming TLVs.

I would like to see some wording inserted into this text
making this clear.  Here is one possible replacement for
the above text:

   For systems in which it is important for the receiver to be
   able to prematurely discontinue the parsing of incoming
   sequences of TLV blocks, the appropriate semantics bits
   (pnouniord for a packet TLV block, mnouniord for a
   message TLV block or an address TLV block) should be
   cleared.   In this case, when one of these semantics bits
   is clear ('0'), then the following constraints MUST be respected.

Note that there is NO need to specify anything about what
"other" constraints need to be specified by protocol documents.

I also believe that the sense of the pnouniord and mnouniord
semantics bits should be reversed, with appropriate renaming
to be called "puniord and muniord".

In fact, maybe the names should be "pord" and "mord",
since I thought the ordering was monotonically increasing,
not guaranteeing uniqueness.

Regards,
Charlie P.

PS.  I thought the time allowed for comments on this draft
         was remarkably brief.  Should I forward these
         comments to the IESG?

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet